Skip to main content
GET
Retrieve a custom field definition

Authorizations

Authorization
string
header
required

Path Parameters

custom_field_definition_id
string
required

The custom field definition's friendly ID (e.g. cfd_aBcD1234eFgH5678).

Response

The custom field definition.

id
integer
friendly_id
string
Example:

"cfd_aBcDeFgHi0000001"

key
string
Example:

"status"

label
string
object_type
enum<string>

Resource the definition applies to. project for project-level metadata, asset for asset-level metadata.

Available options:
project,
asset
value_type
enum<string>
Available options:
string,
number,
boolean,
date,
enum,
url
enumeration_options
string[] | null
order
integer
is_required
boolean
project_id
string | null

The project's friendly ID (e.g. prj_aBcD1234eFgH5678), or null for an account-wide definition.

created_at
string<date-time>
updated_at
string<date-time>